%define major	3
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name: 	 	rasqal
Summary: 	RDF querying library
Group:		Databases
Version: 	0.9.33
Release: 	%mkrel 4
License:	LGPL
URL:		http://librdf.org/rasqal/
Source:		http://librdf.org/dist/source/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(raptor2) >= 2.0.4
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	flex 
BuildRequires:	bison

%description
Rasqal handles Resource Description Framework (RDF) query syntaxes, query
construction and query execution returning result bindings. The supported
query languages are RDQL and SPARQL.  Rasqal was designed to work closely
with the Redland RDF library but is entirely separate. It is intended to be
a portable library working across many POSIX systems (Unix, GNU/Linux,
BSDs, OSX, cygwin) win32 and others.

%files
%doc AUTHORS COPYING* ChangeLog LICENSE* NEWS* NOTICE README*
%{_bindir}/roqet
%{_mandir}/man1/roqet*

#--------------------------------------------------------------------
%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%{_libdir}/librasqal.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n 	%{develname}
Summary: 	Header files and static libraries from %{name}
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	lib%{name}-devel = %{version}-%{release} 

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{develname}
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_includedir}/rasqal
%{_libdir}/librasqal.so
%{_libdir}/pkgconfig/rasqal.pc
%{_mandir}/man1/rasqal-config.*
%{_mandir}/man3/librasqal.*
%{_datadir}/gtk-doc/html/%{name}/

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure \
    --disable-static
%make_build
										
%install
%make_install

%multiarch_binaries %{buildroot}/%{_bindir}/%{name}-config

rm -fr %{buildroot}%{_libdir}/librasqal.la


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.9.33-4.mga8
+ Revision: 1516365
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.33-3.mga7
+ Revision: 1300782
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 20 2018 kekepower <kekepower> 0.9.33-2.mga7
+ Revision: 1203454
- Rebuild for new mpfr

* Fri Dec 25 2015 luigiwalser <luigiwalser> 0.9.33-1.mga6
+ Revision: 914538
- 0.9.33

* Mon Sep 14 2015 fwang <fwang> 0.9.32-4.mga6
+ Revision: 879083
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.9.32-3.mga5
+ Revision: 740368
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.32-2.mga5
+ Revision: 688616
- Mageia 5 Mass Rebuild

* Wed Feb 26 2014 luigiwalser <luigiwalser> 0.9.32-1.mga5
+ Revision: 597392
- 0.9.32

* Fri Feb 14 2014 luigiwalser <luigiwalser> 0.9.31-1.mga5
+ Revision: 591463
- 0.9.31

* Sat Oct 19 2013 umeabot <umeabot> 0.9.30-3.mga4
+ Revision: 523905
- Mageia 4 Mass Rebuild

* Sun May 26 2013 fwang <fwang> 0.9.30-2.mga4
+ Revision: 428033
- use system uuid

* Sun May 26 2013 fwang <fwang> 0.9.30-1.mga4
+ Revision: 428015
- rediff link patch
- new version 0.9.30

* Mon Jan 14 2013 umeabot <umeabot> 0.9.29-2.mga3
+ Revision: 380209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.9.29-1.mga3
+ Revision: 282273
- 0.9.29

* Sat Nov 19 2011 fwang <fwang> 0.9.28-1.mga2
+ Revision: 169188
- rediff math patch
- new version 0.9.28
- rediff linkage patch
- new version 0.9.27
- fix linakge
+ mikala <mikala>
- Remove %%defattr()
- Remove obsoletes from 2008.0
+ ze <ze>
- version 0.9.26
- and libtool strikes again... (use autogen.sh)
- avoid using useless macros
- proper way to avoid static files
- list files for a correct uninstall
- arrange spec

* Sat Jul 16 2011 dmorgan <dmorgan> 0.9.21-3.mga2
+ Revision: 124995
- Fix buildrequires
- Revert to a version that does not break soprano

* Sat Jul 16 2011 dmorgan <dmorgan> 0.9.22-2.mga2
+ Revision: 124571
- Do not provide la files

* Fri Jul 15 2011 mikala <mikala> 0.9.22-1.mga2
+ Revision: 124550
- Fix files list
+ kharec <kharec>
- Fix BR
- new major
- new version
- fix file list

* Sat Jan 15 2011 mikala <mikala> 0.9.21-1.mga1
+ Revision: 18279
- Drop mdk macros
- Remove BuildRoot
- imported package rasqal


* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.9.21-1mdv2011.0
+ Revision: 609735
- update to new version 0.9.21

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.9.20-1mdv2011.0
+ Revision: 572096
- update to new version 0.9.20

* Mon Feb 15 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.19-1mdv2010.1
+ Revision: 506381
- update to new version 0.9.19

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 0.9.18-1mdv2010.1
+ Revision: 506060
- new version 0.9.18

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.17-2mdv2010.1
+ Revision: 484179
- Update to new version 0.9.17 (new major)
- Fix BuildRequires

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.16-3mdv2010.0
+ Revision: 426876
- rebuild

* Thu Jul 10 2008 Funda Wang <fwang@mandriva.org> 0.9.16-2mdv2009.0
+ Revision: 233242
- new devel package policy
- fix libmajor

* Thu Jul 10 2008 Austin Acton <austin@mandriva.org> 0.9.16-1mdv2009.0
+ Revision: 233216
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.15-2mdv2009.0
+ Revision: 225311
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.9.15-1mdv2008.1
+ Revision: 138739
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 0.9.14-1mdv2008.0
+ Revision: 25990
- new version


* Sat Jan 06 2007 Crispin Boylan <crisb@mandriva.org> 0.9.13-1mdv2007.0
+ Revision: 104784
- New version
- Import rasqal

* Wed May 03 2006 Austin Acton <austin@mandriva.org> 0.9.12-1mdk
- New release 0.9.12

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.9.11-2mdk
- multiarch

* Mon Jan 16 2006 Austin Acton <austin@mandriva.org> 0.9.11-1mdk
- New release 0.9.11

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.10-2mdk
- rebuild for openssl-0.9.8a

* Mon Jun 13 2005 Austin Acton <austin@mandriva.org> 0.9.10-1mdk
- New release 0.9.10

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 0.9.9-1mdk
- New release 0.9.9

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 0.9.6-1mdk
- 0.9.6
- source URL

* Thu Dec 30 2004 Austin Acton <austin@mandrake.org> 0.9.4-1mdk
- initial package

